@mixin respond-to($media) {
  @if $media == mobiles {
    @media (min-width: $break-up-small) { @content; }
  }
  @else if $media == tablets {
    @media (min-width: $break-up-medium) { @content; }
  }
  @else if $media == desktops {
    @media (min-width: $break-up-large) { @content; }
  }
  @else if $media == wide-desktops {
    @media (min-width: $break-up-extralarge) { @content; }
  }
  @else if $media == max-mobiles {
    @media (max-width: $break-down-small) { @content; }
  }
  @else if $media == max-tablets {
    @media (max-width: $break-down-medium) { @content; }
  }
  @else if $media == max-desktops {
    @media (max-width: $break-down-large) { @content; }
  }
  @else if $media == max-wide-desktops {
    @media (max-width: $break-down-extralarge) { @content; }
  }
}

@mixin fonts-func($family, $weight, $size, $color) {
  font-family: $family;
  font-weight: $weight;
  font-size: $size;
  color: $color;
}

@mixin box-shadows($h: 5px, $v: 5px, $b: 5px, $r: 5px, $c: #000000) {
  // box-shadow: [horizontal offset] [vertical offset] [blur radius] [optional spread radius] [color];
  -webkit-box-shadow: $h $v $b $r $c;  /* Safari 3-4, iOS 4.0.2 - 4.2, Android 2.3+ */
  -moz-box-shadow:    $h $v $b $r $c;  /* Firefox 3.5 - 3.6 */
  box-shadow:         $h $v $b $r $c;  /* Opera 10.5, IE 9, Firefox 4+, Chrome 6+, iOS 5 */
}

@mixin transition-e($property: all, $duration: .3s, $ease: ease){
	-webkit-transition: $property $duration $ease;
	-moz-transition: $property $duration $ease;
	-o-transition: $property $duration $ease;
	transition: $property $duration $ease;
}

%bg1{
  background: rgba($blueColor, 0.85);
  background: linear-gradient(-150deg, rgba(4,29,87,.85) 0%, rgba(19,84,165,.65) 100%);
}
%bg2{
  background: rgb(114,66,113);
  background: linear-gradient(-55deg, rgba(114,66,113,1) 0%, rgba(14,80,175,1) 50%);
}
%bg3{
  background: rgb(114,66,113);
  background: linear-gradient(-55deg, rgba(114,66,113,.8) 0%, rgba(14,80,175,.8) 50%);
}